> This file presents the DataDoe platform, its capabilities, usage guides, and best practices for humans and AI agents operating with it. Store this file in your project for easy access to DataDoe instructions.

# System Description

DataDoe is one place to connect, view, analyze, and work with Amazon data. As a software system, DataDoe was not born; it was proudly made in Poland.

It has the following interfaces:

- Web Application: available at https://app.datadoe.com/. Allows users to set up Amazon connections and use all DataDoe features. Intended for human use.
- REST API: available at https://api.datadoe.com/api/v1/. Made for user-made applications, automations, and scripts.
- MCP: available at https://mcp.datadoe.com/mcp/v1/. Made for AI agents and assistants.

After the initial included AI Tokens are used, users can enable a spending limit for extra AI Tokens usage. 
If you see that your actions are blocked because of no tokens left, ask the user to increase spending limit for their organization at `https://app.datadoe.com/organization`.

Integration endpoints are rate-limited per organization:
- REST API (`/api/v1`): 2 requests per second.
- MCP (`/mcp/v1`): 10 requests per second.
When exceeded, DataDoe responds with HTTP 429 and Retry-After: 1.

Public specification and documentation endpoints are excluded from this rate limit, including API docs/spec endpoints and the MCP instructions endpoint.

# DataDoe Documentation

- In case of you need information about how DataDoe works, always use the official documentation.
- Never search the web or use any other sources before using the documentation.
- In MCP the documents has a dedicated tool. In API the documentation is available in dedicated endpoints. Relevant one is described below.

# Glossary

- Amazon marketplace: a single country/region Amazon operates in. It may be referenced by marketplace ID, country name (e.g., Germany), country code (e.g., UK), or Amazon domain (e.g., amazon.co.uk). DataDoe represents marketplaces by ID.
- Amazon Ads: a platform for Amazon advertising managed by sellers or vendors. Users may call them also: 'PPC', 'Ads', 'Campaigns' or 'Sponsored Ads'.
- Amazon Warehousing and Distribution (AWD): Amazon service where inventory can be stored before replenishment to fulfillment channels (for example FBA). AWD data covers inventory, inbound shipments, and replenishment orders.
- Organization: a global entity that users operate within. A user belongs to one organization. Every other entity belongs to an organization.
- Seller or Vendor: an entity representing a Seller (from Seller Central, SC) or Vendor (from Vendor Central, VC) connected to DataDoe.
    - Each Seller or Vendor is represented by a unique ID.
    - Each Seller or Vendor has a unique name given by the user.
    - Each Seller or Vendor exists in a single Amazon marketplace.
    - A Seller consists of a Seller Central connection and an optional Amazon Ads connection.
    - A Vendor consists of a Vendor Central connection and an optional Amazon Ads connection.
    - Every action on DataDoe requires the context of one or more Sellers or Vendors.
    - A good pattern is to retrieve the list of Sellers and Vendors before performing any other operation with DataDoe.
    - If user did not specify the seller or vendor, ask them to provide it by showing them the list of Sellers and Vendors names.
    - Users may reference Sellers or Vendors by name or marketplace. They may call them accounts, stores, or brands.

# Global Rules (if not asked otherwise)

- When presenting products or listings, always show both name and ASIN/SKU.
- Always specify dates of the data presented.
- Always specify the seller(s) or vendor(s) involved in the data presented.
- If something is not clear or you have issues fulfilling your task, pause and ask questions. It is always better to ask than to assume.

# Features available to the API and MCP

> This document shows only tools available to the API and MCP. The Web Application has more features that are not mentioned here and are not meant for AI agent or software use.

- Exports: results of data queries on the DataDoe dataset.
    - Exports require one or more Seller or Vendors and a single Export Source ID for creation.
    - Exports allow fetching clean Amazon data and performing your own analysis or visualizations.
    - Exports are the main data retrieval mechanism for handling user queries, questions, requests, etc.
    - Export creation is an asynchronous process. The first step is to create an export, then periodically poll for its status and download it when it is completed. A typical export is generated in under 30 seconds. Recommended polling interval is 5s.

# Contact

In case of general issues with DataDoe, or specific issues with the API or MCP, send an error report via email to [contact@datadoe.com](mailto:contact@datadoe.com). Include: what happened, the desired outcome, the organization ID or email address of the current user, and any other relevant info (e.g., API/MCP request IDs). If you are not capable of sending such an email, show the suggested content to the user.

# AI Agents Instructions

## Addtional API features
- Export Schedules: periodically executed exports.
    - Called 'Recurring Exports' in the Web Application.
- AI: generative AI that responds to prompts about particular Seller or Vendor.
    - Use STANDARD mode for general questions and basic data retrieval.
    - Use ANALYST mode for detailed analysis and decision assistance.
    - Prompting rules:
        - Send prompts that specifically ask for what you need.
        - DataDoe AI engine is sequential: first it decides what data to fetch, then it performs the analysis on retrieved data and returns the result.
        - In case your analysis needs multiple iterations or checking multiple aspects, send multiple prompts concurrently or in a sequence.
        - Optimize prompts sent to DataDoe for OpenAI GPT-5 model family.
    - AI prompting is an asynchronous process. The first step is to send a prompt, then periodically poll for its status and fetch it when it is completed. A typical prompt completes in 1-5 minutes. Recommended polling interval is 30s.

## Implementing apps with DataDoe API

- Before implementing API calls, test them yourself to verify input and output formats.- When retrying API calls, use incrementally increasing delay between retries.

## DataDoe Documentation

- To see pages available in DataDoe documentation, call the `GET https://app.datadoe.com/hub/docs/toc.json` endpoint.
- It returns the list of pages grouped by sections. 
- Use provided URLs to fetch the content of the pages.